# Data Structure

The format is:

```json
[
	{
		// For most data:
		// Wrap each item in another object, with the key 'json'
		"json": {
			// Example data
			"apple": "beets",
			"carrot": {
				"dill": 1
			}
		},
		// For binary data:
		// Wrap each item in another object, with the key 'binary'
		"binary": {
			// Example data
			"apple-picture": {
				"data": "....", // Base64 encoded binary data (required)
				"mimeType": "image/png", // Best practice to set if possible (optional)
				"fileExtension": "png", // Best practice to set if possible (optional)
				"fileName": "example.png", // Best practice to set if possible (optional)
			}
		}
	},
]
```

### Data item processing <a href="#data-item-processing" id="data-item-processing"></a>

Nodes have the capability to handle numerous items simultaneously. For instance, by selecting the Trello node to execute the Create-Card function, and formulating an expression that establishes the Name attribute by utilizing a property known as name-input-value from the incoming data, the node will generate a card for each item, consistently selecting the name-input-value of the present item.

Example:

```json
[
	{
		name-input-value: "test1"
	},
	{
		name-input-value: "test2"
	}
]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.appizap.ae/appizap-workflow-builder-pro/data-handling/data-structure.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
